{
  "name": "Mimecast Customers",
  "nodes": [
    {
      "parameters": {
        "assignments": {
          "assignments": [
            {
              "id": "0ebe27ad-92d1-4fa4-849e-d2be12d59aa3",
              "name": "SENDER_EMAIL",
              "value": "=autotask.net",
              "type": "string"
            },
            {
              "id": "2ba4ceba-a3a2-45a5-9654-1c9f432c1253",
              "name": "RECIPIENT_EMAIL",
              "value": "=lorentz@wulfconsulting.com",
              "type": "string"
            },
            {
              "id": "bc048c3b-3b4e-40d2-a762-1d8b68bf0437",
              "name": "MIMECAST_BASE_URL",
              "value": " https://api.services.mimecast.com",
              "type": "string"
            },
            {
              "id": "fef1b6f6-6017-4f05-b6a7-815be8d06fe0",
              "name": "CLIENT_ACCOUNT_CODE",
              "value": "=CUSA13A95",
              "type": "string"
            }
          ]
        },
        "options": {}
      },
      "id": "e633646d-1155-4885-a218-fbabe3d943c3",
      "name": "Configuration",
      "type": "n8n-nodes-base.set",
      "typeVersion": 3.3,
      "position": [
        -2000,
        480
      ]
    },
    {
      "parameters": {},
      "type": "n8n-nodes-base.manualTrigger",
      "typeVersion": 1,
      "position": [
        -2224,
        480
      ],
      "id": "291015e3-7b8f-4aad-990f-c98dd6d219cc",
      "name": "When clicking ‘Execute workflow’"
    },
    {
      "parameters": {
        "url": "https://api.services.mimecast.com/partner/v1/msp/organizations",
        "authentication": "genericCredentialType",
        "genericAuthType": "oAuth2Api",
        "options": {}
      },
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        -1776,
        480
      ],
      "id": "6d017d22-01b3-4705-b935-aa0683e5ed6e",
      "name": "Get Customers",
      "credentials": {
        "oAuth2Api": {
          "id": "YYGu7rvvywEabDQZ",
          "name": "Mimecast Partner"
        }
      }
    },
    {
      "parameters": {
        "content": "** Gets Customer Data from Mimecast **\n\nIncludes Customer ID for use in API functions",
        "height": 120,
        "width": 360,
        "color": 5
      },
      "type": "n8n-nodes-base.stickyNote",
      "position": [
        -2016,
        288
      ],
      "typeVersion": 1,
      "id": "7d031af6-25ce-484a-9261-f47fcf3976fb",
      "name": "Sticky Note"
    }
  ],
  "pinData": {},
  "connections": {
    "Configuration": {
      "main": [
        [
          {
            "node": "Get Customers",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "When clicking ‘Execute workflow’": {
      "main": [
        [
          {
            "node": "Configuration",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "Get Customers": {
      "main": [
        []
      ]
    }
  },
  "active": false,
  "settings": {
    "executionOrder": "v1"
  },
  "versionId": "8a9f04b9-3d96-45c4-80aa-68398c17b23a",
  "meta": {
    "templateCredsSetupCompleted": true,
    "instanceId": "ad3e8921b8f3ec5eb0f5de9993c5671acfe1653760ce28a0ae49df7ec32eb653"
  },
  "id": "knsNPf00QAmBwzkp",
  "tags": []
}